# API_KEY=your_api_key
curl -H "X-API-Key:$API_KEY" "https://api.vaanivoice.ai/api/call-history?page=1&page_size=50"
// const API_KEY = "your_api_key";
const response = await fetch(
"https://api.vaanivoice.ai/api/call-history?page=1&page_size=50",
{
method: "GET",
headers: {
"X-API-Key": API_KEY,
},
}
);
const data = await response.json();
console.log(data);
# API_KEY = "your_api_key"
import requests
headers = {
"X-API-Key": API_KEY,
}
response = requests.get(
"https://api.vaanivoice.ai/api/call-history",
headers=headers,
params={"page": 1, "page_size": 50},
)
print(response.json())
{
"data": [
{
"call_id": "outbound-1776774443-863aa698",
"call_type": "Outbound",
"call_status": "User disconnected",
"direction": "Outbound",
"agent_name": "vaani321talha",
"agent_id": "7ec4155e-0e62-440a-b983-5974f7697854",
"client_name": "vaani321",
"client_id": "9abf5eff-e978-4e87-954d-7ff6ba570796",
"from_number": "+918037565218",
"to_number": "+917893209830",
"Start_time": "2026-04-21T12:27:23.335803",
"End_time": "2026-04-21T12:27:57.453173",
"duration_ms": 742.269,
"call_cost": 2.3,
"call_summary": "The agent opened the call with a friendly greeting...",
"call_entity": {},
"call_eval_tag": "not enough data",
"call_conversation_quality": {},
"post_processing_status": "completed",
"call_dialing_at": "2026-04-21T12:27:41.474651",
"call_ringing_at": "2026-04-21T12:27:43.395994",
"user_picked_up_at": "2026-04-21T12:27:53.431057",
"recording_api": "https://api.vaanivoice.ai/api/stream/outbound-1776774443-863aa698",
"call_transcription": "https://api.vaanivoice.ai/api/transcript/outbound-1776774443-863aa698",
"call_metadata": {
"name": "John",
"phone": "+917893209830",
"agent_name": "vaani321talha",
"agent_id": "7ec4155e-0e62-440a-b983-5974f7697854",
"client_id": "9abf5eff-e978-4e87-954d-7ff6ba570796"
},
"chat_history": [],
"callback_requested": false,
"callback_id": null,
"callback_status": null
}
],
"pagination": {
"page": 1,
"page_size": 50,
"total_count": 1028,
"total_pages": 21,
"has_next": true,
"has_previous": false
}
}
Calls
Get Call History
Get call history for a client
GET
/
api
/
call-history
# API_KEY=your_api_key
curl -H "X-API-Key:$API_KEY" "https://api.vaanivoice.ai/api/call-history?page=1&page_size=50"
// const API_KEY = "your_api_key";
const response = await fetch(
"https://api.vaanivoice.ai/api/call-history?page=1&page_size=50",
{
method: "GET",
headers: {
"X-API-Key": API_KEY,
},
}
);
const data = await response.json();
console.log(data);
# API_KEY = "your_api_key"
import requests
headers = {
"X-API-Key": API_KEY,
}
response = requests.get(
"https://api.vaanivoice.ai/api/call-history",
headers=headers,
params={"page": 1, "page_size": 50},
)
print(response.json())
{
"data": [
{
"call_id": "outbound-1776774443-863aa698",
"call_type": "Outbound",
"call_status": "User disconnected",
"direction": "Outbound",
"agent_name": "vaani321talha",
"agent_id": "7ec4155e-0e62-440a-b983-5974f7697854",
"client_name": "vaani321",
"client_id": "9abf5eff-e978-4e87-954d-7ff6ba570796",
"from_number": "+918037565218",
"to_number": "+917893209830",
"Start_time": "2026-04-21T12:27:23.335803",
"End_time": "2026-04-21T12:27:57.453173",
"duration_ms": 742.269,
"call_cost": 2.3,
"call_summary": "The agent opened the call with a friendly greeting...",
"call_entity": {},
"call_eval_tag": "not enough data",
"call_conversation_quality": {},
"post_processing_status": "completed",
"call_dialing_at": "2026-04-21T12:27:41.474651",
"call_ringing_at": "2026-04-21T12:27:43.395994",
"user_picked_up_at": "2026-04-21T12:27:53.431057",
"recording_api": "https://api.vaanivoice.ai/api/stream/outbound-1776774443-863aa698",
"call_transcription": "https://api.vaanivoice.ai/api/transcript/outbound-1776774443-863aa698",
"call_metadata": {
"name": "John",
"phone": "+917893209830",
"agent_name": "vaani321talha",
"agent_id": "7ec4155e-0e62-440a-b983-5974f7697854",
"client_id": "9abf5eff-e978-4e87-954d-7ff6ba570796"
},
"chat_history": [],
"callback_requested": false,
"callback_id": null,
"callback_status": null
}
],
"pagination": {
"page": 1,
"page_size": 50,
"total_count": 1028,
"total_pages": 21,
"has_next": true,
"has_previous": false
}
}
Get Call History
Get call history for a client. Shows all calls for the client if the user belongs to that client.Parameters
- Query
page(integer, optional, default:1): Page number (1-indexed)page_size(integer, optional, default:50, max:200): Number of records per page
Request Example
# API_KEY=your_api_key
curl -H "X-API-Key:$API_KEY" "https://api.vaanivoice.ai/api/call-history?page=1&page_size=50"
// const API_KEY = "your_api_key";
const response = await fetch(
"https://api.vaanivoice.ai/api/call-history?page=1&page_size=50",
{
method: "GET",
headers: {
"X-API-Key": API_KEY,
},
}
);
const data = await response.json();
console.log(data);
# API_KEY = "your_api_key"
import requests
headers = {
"X-API-Key": API_KEY,
}
response = requests.get(
"https://api.vaanivoice.ai/api/call-history",
headers=headers,
params={"page": 1, "page_size": 50},
)
print(response.json())
Response
Success Response (200)
{
"data": [
{
"call_id": "outbound-1776774443-863aa698",
"call_type": "Outbound",
"call_status": "User disconnected",
"direction": "Outbound",
"agent_name": "vaani321talha",
"agent_id": "7ec4155e-0e62-440a-b983-5974f7697854",
"client_name": "vaani321",
"client_id": "9abf5eff-e978-4e87-954d-7ff6ba570796",
"from_number": "+918037565218",
"to_number": "+917893209830",
"Start_time": "2026-04-21T12:27:23.335803",
"End_time": "2026-04-21T12:27:57.453173",
"duration_ms": 742.269,
"call_cost": 2.3,
"call_summary": "The agent opened the call with a friendly greeting...",
"call_entity": {},
"call_eval_tag": "not enough data",
"call_conversation_quality": {},
"post_processing_status": "completed",
"call_dialing_at": "2026-04-21T12:27:41.474651",
"call_ringing_at": "2026-04-21T12:27:43.395994",
"user_picked_up_at": "2026-04-21T12:27:53.431057",
"recording_api": "https://api.vaanivoice.ai/api/stream/outbound-1776774443-863aa698",
"call_transcription": "https://api.vaanivoice.ai/api/transcript/outbound-1776774443-863aa698",
"call_metadata": {
"name": "John",
"phone": "+917893209830",
"agent_name": "vaani321talha",
"agent_id": "7ec4155e-0e62-440a-b983-5974f7697854",
"client_id": "9abf5eff-e978-4e87-954d-7ff6ba570796"
},
"chat_history": [],
"callback_requested": false,
"callback_id": null,
"callback_status": null
}
],
"pagination": {
"page": 1,
"page_size": 50,
"total_count": 1028,
"total_pages": 21,
"has_next": true,
"has_previous": false
}
}
array
Array of call objects
Show Call Object Properties
Show Call Object Properties
string
Unique call identifier (e.g.,
outbound-1776774443-863aa698)string
Type of call —
Outbound or Inboundstring
Final call status (e.g.,
User disconnected, completed, error)string
Call direction —
Outbound or Incomingstring
Name of the agent that handled the call
string
UUID of the agent
string
Caller number (E.164 format)
string
Destination number (E.164 format)
string
Call start timestamp (ISO 8601)
string
Call end timestamp (ISO 8601)
number
Call duration in milliseconds
number
Call cost in credits
string | null
AI-generated summary of the call
string | null
Evaluation tag assigned to the call
string
Post-processing status —
completed, not_processed, or processingstring
URL to stream the call recording
string
URL to fetch the call transcript
object
Metadata passed when triggering the call
array
Structured chat history of the call
boolean
Whether a callback was requested during the call
object
Validation Error (422)
{
"detail": [
{
"loc": ["query", "page"],
"msg": "value is not a valid integer",
"type": "type_error.integer"
}
]
}
⌘I

